Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.makeithappen.model.task
Interface TaskPackage.Literals

Enclosing interface:
  TaskPackage

    public static interface TaskPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EDataType` | `DATE_OF_BIRTH` The meta object literal for the 'Date Of Birth' data type.
`static org.eclipse.emf.ecore.EEnum` | `GENDER` The meta object literal for the '`Gender`' enum.
`static org.eclipse.emf.ecore.EEnum` | `NATIONALITY` The meta object literal for the '`Nationality`' enum.
`static org.eclipse.emf.ecore.EClass` | `TASK` The meta object literal for the '`Task`' class.
`static org.eclipse.emf.ecore.EOperation` | `TASK___HAS_NAME__DIAGNOSTICCHAIN_MAP` The meta object literal for the 'Has Name' operation.
`static org.eclipse.emf.ecore.EReference` | `TASK__ASSIGNEE` The meta object literal for the 'Assignee' reference feature.
`static org.eclipse.emf.ecore.EAttribute` | `TASK__DESCRIPTION` The meta object literal for the 'Description' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TASK__DONE` The meta object literal for the 'Done' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TASK__DUE_DATE` The meta object literal for the 'Due Date' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `TASK__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `TASK__SUB_TASKS` The meta object literal for the 'Sub Tasks' containment reference list feature.
`static org.eclipse.emf.ecore.EClass` | `USER` The meta object literal for the '`User`' class.
`static org.eclipse.emf.ecore.EAttribute` | `USER__ACTIVE` The meta object literal for the 'Active' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__DATE_OF_BIRTH` The meta object literal for the 'Date Of Birth' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__EMAIL` The meta object literal for the 'Email' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__FIRST_NAME` The meta object literal for the 'First Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__GENDER` The meta object literal for the 'Gender' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__HEIGTH` The meta object literal for the 'Heigth' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__LAST_NAME` The meta object literal for the 'Last Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__NATIONALITY` The meta object literal for the 'Nationality' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `USER__TASKS` The meta object literal for the 'Tasks' reference list feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__TIME_OF_REGISTRATION` The meta object literal for the 'Time Of Registration' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `USER__WEIGHT` The meta object literal for the 'Weight' attribute feature.
`static org.eclipse.emf.ecore.EClass` | `USER_GROUP` The meta object literal for the '`User Group`' class.
`static org.eclipse.emf.ecore.EAttribute` | `USER_GROUP__NAME` The meta object literal for the 'Name' attribute feature.
`static org.eclipse.emf.ecore.EReference` | `USER_GROUP__USERS` The meta object literal for the 'Users' containment reference list feature.

Field Detail

### TASK

    static final org.eclipse.emf.ecore.EClass TASK

  The meta object literal for the '`Task`' class.

  See Also:
    `TaskImpl`, `TaskPackageImpl.getTask()`

### TASK__NAME

    static final org.eclipse.emf.ecore.EAttribute TASK__NAME

  The meta object literal for the 'Name' attribute feature.

### TASK__DESCRIPTION

    static final org.eclipse.emf.ecore.EAttribute TASK__DESCRIPTION

  The meta object literal for the 'Description' attribute feature.

### TASK__ASSIGNEE

    static final org.eclipse.emf.ecore.EReference TASK__ASSIGNEE

  The meta object literal for the 'Assignee' reference feature.

### TASK__DUE_DATE

    static final org.eclipse.emf.ecore.EAttribute TASK__DUE_DATE

  The meta object literal for the 'Due Date' attribute feature.

### TASK__SUB_TASKS

    static final org.eclipse.emf.ecore.EReference TASK__SUB_TASKS

  The meta object literal for the 'Sub Tasks' containment reference list feature.

### TASK__DONE

    static final org.eclipse.emf.ecore.EAttribute TASK__DONE

  The meta object literal for the 'Done' attribute feature.

### TASK___HAS_NAME__DIAGNOSTICCHAIN_MAP

    static final org.eclipse.emf.ecore.EOperation TASK___HAS_NAME__DIAGNOSTICCHAIN_MAP

  The meta object literal for the 'Has Name' operation.

### USER

    static final org.eclipse.emf.ecore.EClass USER

  The meta object literal for the '`User`' class.

  See Also:
    `UserImpl`, `TaskPackageImpl.getUser()`

### USER__FIRST_NAME

    static final org.eclipse.emf.ecore.EAttribute USER__FIRST_NAME

  The meta object literal for the 'First Name' attribute feature.

### USER__LAST_NAME

    static final org.eclipse.emf.ecore.EAttribute USER__LAST_NAME

  The meta object literal for the 'Last Name' attribute feature.

### USER__GENDER

    static final org.eclipse.emf.ecore.EAttribute USER__GENDER

  The meta object literal for the 'Gender' attribute feature.

### USER__ACTIVE

    static final org.eclipse.emf.ecore.EAttribute USER__ACTIVE

  The meta object literal for the 'Active' attribute feature.

### USER__TIME_OF_REGISTRATION

    static final org.eclipse.emf.ecore.EAttribute USER__TIME_OF_REGISTRATION

  The meta object literal for the 'Time Of Registration' attribute feature.

### USER__WEIGHT

    static final org.eclipse.emf.ecore.EAttribute USER__WEIGHT

  The meta object literal for the 'Weight' attribute feature.

### USER__HEIGTH

    static final org.eclipse.emf.ecore.EAttribute USER__HEIGTH

  The meta object literal for the 'Heigth' attribute feature.

### USER__NATIONALITY

    static final org.eclipse.emf.ecore.EAttribute USER__NATIONALITY

  The meta object literal for the 'Nationality' attribute feature.

### USER__DATE_OF_BIRTH

    static final org.eclipse.emf.ecore.EAttribute USER__DATE_OF_BIRTH

  The meta object literal for the 'Date Of Birth' attribute feature.

### USER__EMAIL

    static final org.eclipse.emf.ecore.EAttribute USER__EMAIL

  The meta object literal for the 'Email' attribute feature.

### USER__TASKS

    static final org.eclipse.emf.ecore.EReference USER__TASKS

  The meta object literal for the 'Tasks' reference list feature.

### USER_GROUP

    static final org.eclipse.emf.ecore.EClass USER_GROUP

  The meta object literal for the '`User Group`' class.

  See Also:
    `UserGroupImpl`, `TaskPackageImpl.getUserGroup()`

### USER_GROUP__NAME

    static final org.eclipse.emf.ecore.EAttribute USER_GROUP__NAME

  The meta object literal for the 'Name' attribute feature.

### USER_GROUP__USERS

    static final org.eclipse.emf.ecore.EReference USER_GROUP__USERS

  The meta object literal for the 'Users' containment reference list feature.

### GENDER

    static final org.eclipse.emf.ecore.EEnum GENDER

  The meta object literal for the '`Gender`' enum.

  See Also:
    `Gender`, `TaskPackageImpl.getGender()`

### NATIONALITY

    static final org.eclipse.emf.ecore.EEnum NATIONALITY

  The meta object literal for the '`Nationality`' enum.

  See Also:
    `Nationality`, `TaskPackageImpl.getNationality()`

### DATE_OF_BIRTH

    static final org.eclipse.emf.ecore.EDataType DATE_OF_BIRTH

  The meta object literal for the 'Date Of Birth' data type.

  See Also:
    `XMLGregorianCalendar`, `TaskPackageImpl.getDateOfBirth()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.